Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model
[Java] Interface Element

    org.gradle.tooling.model.Element
      org.gradle.tooling.model.Model

All Superinterfaces:
  Model

    public interface Element
    extends Model

Described model element.

Since:
  1.0-milestone-5

Method Summary
`String` | `getDescription()` Returns the description of the element, or `null` if it has no description.
`String` | `getName()` Returns the name of the element.

Method Detail

### getDescription

    @Nullable
    public String getDescription()

  Returns the description of the element, or `null` if it has no description.
  Returns:
    The description of the element, or `null` if it has no description.

### getName

    public String getName()

  Returns the name of the element. Note that the name is not a unique identifier.
  Returns:
    The name of the element.

Gradle API 1.1-rc-1